%define major	0
%define libname %mklibname gcal %{major}
%define develname %mklibname gcal -d

Name:		libgcal
Version:	0.9.6
Release:	%mkrel 13
Summary:	Implements Google Data Protocol 2.0
License:	BSD
Group:		System/Libraries
URL:		https://code.google.com/p/libgcal/
Source:		http://libgcal.googlecode.com/files/%name-%version.tar.bz2
Patch0:		libgcal-0.9.6-check-for-empty-strings.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(check)

%description
Implements Google Data Protocol 2.0.
It does allow communication with google calendar and contacts,
implements already:
- authentication
- get all events/contacts
- atom stream parsing
- access to individual events/contacts
- add/delete/edit events/contacts
- query for updated events/contacts
- add/edit/delete contacts with photo
- download your contact's photos
- proxy is supported
- timezones
- use only xml to add/edit/delete entries
- great doxygen documentation

#-------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library implementing Google Data Protocol Data 2.0
Group:		System/Libraries
Obsoletes:	libgcal <= 0.9.3-1
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This library implements Google Data Protocol 2.0
It does allow communication with google calendar and contacts,
implements already:
- authentication
- get all events/contacts
- atom stream parsing
- access to individual events/contacts
- add/delete/edit events/contacts
- query for updated events/contacts
- add/edit/delete contacts with photo
- download your contact's photos
- proxy is supported
- timezones
- use only xml to add/edit/delete entries
- great doxygen documentation

%files -n	%{libname}
%{_libdir}/libgcal.so.%{major}{,.*}

#--------------------------------------------------------------------


%package -n	%{develname}
Summary:	Library headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Obsoletes:	libgcal-devel <= 0.9.3-1
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n	%{develname}
%{_includedir}/*
%{_libdir}/libgcal.so
%{_libdir}/pkgconfig/libgcal.pc
%{_libdir}/LibGCal/cmake/LibGCalConfig.cmake

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p0

%build
%cmake -DENABLE_TESTS=OFF
%cmake_build

%install
%cmake_install


%changelog
* Sun Mar 16 2025 wally <wally> 0.9.6-13.mga10
+ Revision: 2164890
- rebuild for libxml2 2.13.6

* Fri Oct 18 2024 ns80 <ns80> 0.9.6-12.mga10
+ Revision: 2107999
- try to fix building with GCC 14

* Sat Apr 02 2022 umeabot <umeabot> 0.9.6-11.mga9
+ Revision: 1840232
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 daviddavid <daviddavid> 0.9.6-10.mga8
+ Revision: 1514124
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.6-9.mga7
+ Revision: 1298857
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 02 2016 umeabot <umeabot> 0.9.6-8.mga6
+ Revision: 932167
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.6-7.mga5
+ Revision: 743245
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.6-6.mga5
+ Revision: 681473
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.6-5.mga4
+ Revision: 520988
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 fwang <fwang> 0.9.6-4.mga3
+ Revision: 388210
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.9.6-3.mga1
+ Revision: 76168
- rebuild for bug #497

* Fri Mar 11 2011 mikala <mikala> 0.9.6-2.mga1
+ Revision: 68076
- Add patch0 from upstream (fix issue #69 on libgcal bugzilla) :
 Checks now for empty strings before copy them

* Fri Feb 18 2011 mikala <mikala> 0.9.6-1.mga1
+ Revision: 53805
- imported package libgcal


* Wed Sep 08 2010 John Balcaen <mikala@mandriva.org> 0.9.6-1mdv2011.0
+ Revision: 576737
- Update to 0.9.6

* Wed Jul 21 2010 John Balcaen <mikala@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 556486
- Update to 0.9.5

* Sat Apr 24 2010 John Balcaen <mikala@mandriva.org> 0.9.3-2mdv2010.1
+ Revision: 538458
- Fix Group
- Use of %%mklibname

* Fri Apr 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.9.3-1mdv2010.1
+ Revision: 538300
- update to new version: 0.9.3

* Thu Oct 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.2-2mdv2010.0
+ Revision: 455886
- rebuild for new curl SSL backend

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.2-1mdv2010.0
+ Revision: 411512
- Update to new version 0.9.2

* Sun May 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.1-0.git090517.2mdv2010.0
+ Revision: 376613
- Fix groups
- Fix groups
  Fix License
- import libgcal


